# Note that this is NOT a relocatable package
%define version      1.2.0
%define release      12mdk

Summary: GNOME media programs.
Name: gnome-media
Version: %version
Release: %release
Copyright: LGPL
Group: Graphical desktop/GNOME
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libghttp-devel gpm-devel ncurses-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{version}.tar.bz2
Source1:	gtcd.idl.bz2
Source2:	gtcd.goad.bz2
Source3:	gnome-mixer.png
BuildRoot: %{_tmppath}/gnome-media-%{PACKAGE_VERSION}-root
Icon: gnome-media-logo.xpm
URL: http://www.gnome.org

%ifarch alpha sparc sparc64
	%define alsa_flags --disable-alsa
%else
Requires: alsa-lib
Buildrequires: alsa-lib, alsa-lib-devel
	%define alsa_flags --enable-alsa
%endif

Patch1:		gnome-media-0.99.1-sparccd.patch.bz2
#(dam's)
Patch3:		gnome-media-1.0.40-keepclosed.patch.bz2
Patch4:		gnome-media-1.0.40-gtcdcorba2.patch.bz2
Patch5:		gnome-media-1.0.40-mocorba.patch.bz2
Patch6:		gnome-media-1.0.40-fixedcorba.patch.bz2
Patch7:		gnome-media-1.0.40-nogerror.patch.bz2
Patch8:		gnome-media-corba_automake.patch.bz2
Patch9:	    gnome-media-1.2.0-asound.patch.bz2
# msf - disabled in 0.30 release
# these needed for extace
#Requires: gsl
#Requires: esound

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME is based completely
on Open Source software.

GNOME's powerful environment is pleasing on the eye, easy to
configure and use.

This package will install such media features as the GNOME
CD player.


%prep
%setup -q 
%patch1 -p1 -b .sparccd
%patch3 -p1 -b .keepclosed
%patch4 -p1 -b .gtcdcorba
%patch5 -p1 -b .mocorba
%patch6 -p1 -b .fixedcorba
%patch7 -p1 -b .nogerror
bzcat %{SOURCE1} > tcd/gtcd.idl 
bzcat %{SOURCE2} > tcd/gtcd.goad
%patch8 -p1 -b .yacorbafix

%ifarch alpha sparc sparc64

%else
%patch9 -p1 -b .asoundlib
%endif

cp %{SOURCE3} gmix/

touch -t 197101010101 configure.in
automake --include-deps tcd/Makefile

%build

%configure %{alsa_flags}

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/gtcd" \
	section="Multimedia/Sound" \
	title="Gnome CD Player" \
	icon="%{_datadir}/pixmaps/tcd/cdrom.xpm"
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/gmix" \
	section="Multimedia/Sound" \
	title="Audio Mixer" \
	icon="%{_datadir}/pixmaps/gnome-mixer.png"
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/vumeter" \
	section="Multimedia/Sound" \
	title="ESD Volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f  %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/gnome/cddb-submit-methods
%{_datadir}/idl/*
%{_datadir}/mime-info/*


%changelog
* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-12mdk
- Doesn't provide gnome core directories (provided by gnome-libs), correct bug #614

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-11mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-10mdk
- Merge from helix : correct cddb submit not working

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- build with alsa support only on supported architectures
- bzip complementary files

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-8mdk
- rebuilt without --disable-alsa. I sux.
- re-applying patch9

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-7mdk
- rebuild with --disable-alsa
- not appying patch9 anymore.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-6mdk
- BM + macrozificaion

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-5mdk
- compile against current alsa lib

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-4mdk
- use new macros
- reput need alsa requirement for gmix !!! (damscks)
- also add build requirements on alsa-lib{-devel,}
- add missing files (*.desktop, *.idl, mime files, ...)

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- Corrected bad alsa requirement.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix.
- added patches.

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- added menu entries.
- path to icons remains hardcoded.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-2mdk
- adjust group.
- spec cleaned.

* Sat Oct 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.51

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.9.1
- cleaned %files
- added an icon

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.9.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Mandrake.
- Stripping again ;-)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
